<?php

namespace apexl\Io\modules\payment\callbacks;

use apexl\Io\modules\payment\entities\paymentEntity;

class entityStoreCallback {

    public static function insert($data, $table, $extraStore, $extends)
    {
        if ($table == 'payment') {
            $data['public_id'] =  bin2hex(random_bytes(32)); // unique code to use in email links, e.g. for 3D secure request
        }

        return $data;
    }
}